import { OpaqueToken } from '@angular/core';
import { Platform } from '../platform/platform';
import { QueryParams } from '../platform/query-params';
export declare class Config {
    private _c;
    private _s;
    private _qp;
    platform: Platform;
    init(config: any, queryParams: QueryParams, platform: Platform): void;
    get(key: string, fallbackValue?: any): any;
    getBoolean(key: string, fallbackValue?: boolean): boolean;
    getNumber(key: string, fallbackValue?: number): number;
    set(...args: any[]): this;
    settings(arg0?: any, arg1?: any): any;
    static setModeConfig(mode: string, config: any): void;
    static getModeConfig(mode: string): any;
}
export declare const UserConfig: OpaqueToken;
export declare function setupConfig(userConfig: any, queryParams: QueryParams, platform: Platform): Config;
export declare function provideConfig(userConfig: any): any;
